> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update puchase order by ID

> Update a puchase order



## OpenAPI

````yaml put /purchase-orders/{id}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /purchase-orders/{id}:
    put:
      tags:
        - Purchase Orders
      summary: Update puchase order by ID
      description: Update a puchase order
      operationId: putPurchaseOrdersById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                vendor_type: integrated
                vendor_id: 1
                vendor_name: some string
                'tax_rate ': some string
                title: some string
                status: draft
                payment_status: unpaid
                comment: some string
                order_at: 12345678
                expected_delivery_at: 12345678
                received_at: 12345678
                customer_id: 1
                job_id: 1
                project_id: 1
                invoice_id: 1
                assigned_id: 1
                order_email: email@email.com
                delivery_method: delivery
                delivery_address: some string
                delivery_flat: some string
                delivery_city: some string
                delivery_state: some string
                delivery_postcode: some string
                delivery_instruction: some string
                pickup_branch_id: some string
                order_number: O123
                order_phone: '+123456789'
                items:
                  - id: 1
                    type: fieldpulse
                    unit_measure: cm
                    unit_cost: '1.0'
                    is_taxed: false
                    tax_rate: '1'
                    quantity: '1'
                    payment_status: unpaid
                  - id: 2
                    type: fieldpulse
                    unit_measure: cm
                    unit_cost: '1.0'
                    is_taxed: false
                    tax_rate: '1'
                    quantity: '1'
                    payment_status: unpaid
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````